Bug 799356 - systems that have been deleted that are still calling back to server generate stack trace
systems that have been deleted that are still calling back to server generate...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 10:05 EST by Tom McKay
Modified: 2015-05-04 21:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-03-02 10:05:19 EST
There are cases when a client system has been deleted in katello, but that client still exists and is "phoning home" via rhsmcertd still. In this case, the following call will be made:


% curl -k -u admin:admin https://KATELLOSERVER/katello/api/consumers/8f9ca2f2-1ef9-496e-be5a-835996326b3c/certificates/serials
-> {"displayMessage":"Consumer 8f9ca2f2-1ef9-496e-be5a-835996326b3c has been deleted","deletedId":"8f9ca2f2-1ef9-496e-be5a-835996326b3c"}

This query and its response are correct and valid. However, in production.log there is a stack trace like below. It would be better to rescue the error and print the response to the log.

#[DEBUG: 2012-03-02 08:41:22 #21095] Setting locale: en
#[DEBUG: 2012-03-02 08:41:22 #21095] User 8f9ca2f2-1ef9-496e-be5a-835996326b3c authenticated: certificate
#[DEBUG: 2012-03-02 08:41:22 #21095] Setting current user thread-local variable to 8f9ca2f2-1ef9-496e-be5a-835996326b3c
#[DEBUG: 2012-03-02 08:41:22 #21095] Sending GET request to Candlepin: /consumers/8f9ca2f2-1ef9-496e-be5a-835996326b3c/certificates/serials
#[DEBUG: 2012-03-02 08:41:22 #21095] Setting current user thread-local variable to nil
#[ERROR: 2012-03-02 08:41:22 #21095] RestClient::Gone: 410 Gone
#/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!'
#/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:220:in `process_result'
#/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:169:in `transmit'
#/usr/lib/ruby/1.8/net/http.rb:543:in `start'
#/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:166:in `transmit'
#/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:60:in `execute'
#/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:31:in `execute'
#/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/resource.rb:54:in `get'
#/usr/share/katello/lib/resources/candlepin.rb:36:in `get'
#/usr/share/katello/app/controllers/api/candlepin_proxies_controller.rb:20:in `get'
Comment 3 Petr Chalupa 2013-01-02 06:46:20 EST
fixed in 41ad256a5246e0d6e5797188e7ba92e38fb83621
Comment 4 Mike McCune 2013-09-19 14:13:45 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.